summaryrefslogtreecommitdiffstats
path: root/source/l/libcdio-paranoia/libcdio-paranoia.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libcdio-paranoia/libcdio-paranoia.SlackBuild')
-rwxr-xr-xsource/l/libcdio-paranoia/libcdio-paranoia.SlackBuild30
1 files changed, 21 insertions, 9 deletions
diff --git a/source/l/libcdio-paranoia/libcdio-paranoia.SlackBuild b/source/l/libcdio-paranoia/libcdio-paranoia.SlackBuild
index 667b4fab3..0d6522369 100755
--- a/source/l/libcdio-paranoia/libcdio-paranoia.SlackBuild
+++ b/source/l/libcdio-paranoia/libcdio-paranoia.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2014 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2014 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2014, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=libcdio-paranoia
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:--j7}
@@ -31,7 +33,7 @@ NUMJOBS=${NUMJOBS:--j7}
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
case "$MARCH" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
armv7hl) export ARCH=$MARCH ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
@@ -39,8 +41,16 @@ if [ -z "$ARCH" ]; then
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -56,7 +66,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-libcdio-paranoia
@@ -82,11 +91,14 @@ CXXFLAGS="$SLKCFLAGS" \
--disable-static \
--disable-silent-rules \
--disable-example-progs \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -107,7 +119,7 @@ fi
mkdir -p $PKG/usr/doc/libcdio-paranoia-$VERSION
cp -a \
- AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ AUTHORS* ChangeLog COPYING* INSTALL NEWS* README* TODO* \
$PKG/usr/doc/libcdio-paranoia-$VERSION
mkdir -p $PKG/install